Skip to main content
`Ctrl`+`K`

# PetscViewerStringSPrintf

Prints information to a `PETSCVIEWERSTRING` `PetscViewer` object

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscViewerStringSPrintf(PetscViewer viewer, const char format[], ...)

Logically Collective; No Fortran Support

## Input Parameters

- viewer - a string `PetscViewer`, formed by `PetscViewerStringOpen()`

- format - the format of the input

## Note

Though this is collective each MPI process maintains a separate string

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERSTRING`, `PetscViewerStringOpen()`, `PetscViewerStringGetStringRead()`, `PetscViewerStringSetString()`

## Level

developer

## Location

src/sys/classes/viewer/impls/string/stringv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages